<div class="admin">
  <app-admin-sidebar class="nav flex-column" [user]="user"  (isNav)="toggleNav($event)"></app-admin-sidebar>
  <div class="{{isNav}}">
    <h2 class="mt-5 pt-5 text-center text-white text-shadow">Calendario de usuarios</h2>
    <div class="container mt-5">
      <div class="row">
        <div class="col-lg-4">
          <mat-card>
              <mat-form-field>
                <mat-label>Buscar por fecha</mat-label>
                <input matInput [(ngModel)]="selectedDate"
                  (dateInput)="selectDate()" [matDatepicker]="picker" placeholder="Elige una fecha">
                <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                <mat-datepicker #picker></mat-datepicker>
              </mat-form-field>
              <mat-card-actions align="end">
                <button mat-raised-button color="warn" (click)="search()" >Buscar</button>
              </mat-card-actions>
            </mat-card>
        </div>
      </div>
      <table mat-table [dataSource]="dataSource" class="mat-elevation-z8 mt-5 w-100">
          <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef> Nombre </th>
            <td mat-cell *matCellDef="let element"> {{element.client.name}} </td>
          </ng-container>

            <ng-container matColumnDef="date">
              <th mat-header-cell *matHeaderCellDef> Fecha </th>
              <td mat-cell *matCellDef="let element"> {{element.date}} </td>
            </ng-container>

            <ng-container matColumnDef="time">
              <th mat-header-cell *matHeaderCellDef> Horario </th>
              <td mat-cell *matCellDef="let element"> {{element.time}} </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>
    </div>
  </div>
</div>